OpenShot Audio Library | OpenShotAudio: juce::TextDiff Class Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
juce::TextDiff Class Reference

`#include <juce_TextDiff.h>`

## Classes
struct | Change

## Public Member Functions
| TextDiff (const String &original, const String &target)
String | appliedTo (String text) const

## Public Attributes
Array< Change > | changes

## Detailed Description

Calculates and applies a sequence of changes to convert one text string into another.

Once created, the TextDiff object contains an array of change objects, where each change can be either an insertion or a deletion. When applied in order to the original string, these changes will convert it to the target string.

Definition at line 36 of file juce_TextDiff.h.

## Constructor & Destructor Documentation

## ◆ TextDiff()

juce::TextDiff::TextDiff | ( | const String & | original,
|  | const String & | target )

Creates a set of diffs for converting the original string into the target.

Definition at line 199 of file juce_TextDiff.cpp.

## Member Function Documentation

## ◆ appliedTo()

String juce::TextDiff::appliedTo | ( | String | text | ) | const

Applies this sequence of changes to the original string, producing the target string that was specified when generating them.

Obviously it only makes sense to call this function with the string that was originally passed to the constructor. Any other input will produce an undefined result.

Definition at line 204 of file juce_TextDiff.cpp.

## Member Data Documentation

## ◆ changes

Array<Change> juce::TextDiff::changes

The list of changes required to perform the transformation. Applying each of these, in order, to the original string will produce the target.

Definition at line 71 of file juce_TextDiff.h.

The documentation for this class was generated from the following files:

- juce_TextDiff.h
- juce_TextDiff.cpp